Active Topics

 



Notices


Reply
Thread Tools
Posts: 850 | Thanked: 871 times | Joined on Sep 2010
#431
Originally Posted by Addison View Post
I renamed youtube-dl to youtube-dl-x.

It works but it saved the video as "%(stitle)s-%(id)s.%(ext)s".

Did I miss something?
Use the exact command from my post and while your at it, go upgrade youtube-dl to latest version. http://rg3.github.com/youtube-dl/download.html
 

The Following User Says Thank You to auouymous For This Useful Post:
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#432
That did it.

I guess my youtube-dl/youtube-dl-x thingy was junk.

The new one you linked for me works perfect and even saves the videos with the correct names.

Eep!
 
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#433
I got this file name as well "Destination: Jeremy_Camp_Walk_by_Faith_acoustic-dEkh_KxKao0.flv"

This so doesn't even really concern me, but is there a way to truncate the "-dEkh_KxKao0" part in the name for the videos I download?
 
Posts: 850 | Thanked: 871 times | Joined on Sep 2010
#434
Originally Posted by Addison View Post
I got this file name as well "Destination: Jeremy_Camp_Walk_by_Faith_acoustic-dEkh_KxKao0.flv"

This so doesn't even really concern me, but is there a way to truncate the "-dEkh_KxKao0" part in the name for the videos I download?
The ID is different for each video and putting it in the filename prevents overwriting one video with another when they share the same name. But the following code will remove the ID if you don't care about it.

Code:
youtube-dl-x -f 5 -o "%(stitle)s.%(ext)s" $1
 

The Following User Says Thank You to auouymous For This Useful Post:
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#435
Perfect!

I have this in addition so I can begin to play the video before it completely downloads.

cd /media/mmc1/Videos ;youtube-dl-x --no-part -f 5 -o "%(stitle)s.%(ext)s" $1

You sir are awesome!
 
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#436
Last question. Promise.

Say I Copy the url for a video in Tear or Microb...

Is it possible to launch this script, from say Personal Launcher, and Paste that address somehow at the end of it?

Something like

cd /media/mmc1/Videos ;youtube-dl-x --no-part -f 5 -o "%(stitle)s.%(ext)s" $Paste
 
Posts: 850 | Thanked: 871 times | Joined on Sep 2010
#437
Originally Posted by Addison View Post
Say I Copy the url for a video in Tear or Microb... Is it possible to launch this script, from say Personal Launcher, and Paste that address somehow at the end of it?
xclip is what you want. Version 0.8 is in the debfarm repo but is twice the size it should be so might be compromised. I compiled version 0.12 and put it up on the ASUI download page http://asui.garage.maemo.org/_download/xclip . It isn't the full xclip package, only the xclip binary. Copy it to /usr/bin/xclip and chmod 755 it. You must then install the libxmu6 dependancy by running the following command as root:

Code:
apt-get install libxmu6
Now change your script to call xclip, those are grave marks around the command, it is the character on the tilde key of a full size keyboard.

Code:
#!/bin/sh
cd /media/mmc1/Videos
youtube-dl-x --no-part -f 5 -o "%(stitle)s.%(ext)s" `xclip -out`
Now you can just run that script without any parameters and it will download the selected youtube URL. Enjoy!
 

The Following 2 Users Say Thank You to auouymous For This Useful Post:
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#438
You are such my best friend!
 
Addison's Avatar
Posts: 3,807 | Thanked: 1,133 times | Joined on Oct 2007 @ East Lansing, MI
#439
Sorry, but what shoud I do next?


[1|root@Nokia-N800-43-7|~]apt-get install libxmu6
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run `apt-get -f install' to correct these:
The following packages have unmet dependencies:
gpspmgui: Depends: libqtcore4 (>= 4.5.0) but it is not going to be in stalled
Depends: libqtgui4 (>= 4.5.0) but it is not going to be ins talled
libsdl-haa1.2-1: Depends: libsdl1.2 (>= 1.2.10-1) but 1.2.8-23 is to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or sp ecify a solution).
 
Posts: 850 | Thanked: 871 times | Joined on Sep 2010
#440
Originally Posted by Addison View Post
[1|root@Nokia-N800-43-7|~]apt-get install libxmu6
Do you have Qole's repository or the Diable SDK/Tools repository installed? You can find a button to install the sdk/tools at http://asui.garage.maemo.org/download.html
 

The Following User Says Thank You to auouymous For This Useful Post:
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 08:57.